Subject: Re: PATCH: Fix 2 PPC/SYSV varargs problems

From: David Edelsohn <[email-masked]>
Date: Wed, 12 May 1999 11:24:15 -0400

>>>>> Richard Henderson writes:

Richard> On Wed, May 12, 1999 at 12:19:53AM -0600, Jeffrey A Law wrote:
>> Has this problem been fixed?  I see patch from Richard which looks like it
>> is related:

Richard> No, this is a different, though related, problem.  I need to sit
Richard> down with the ABI to properly evaluate the patch.  PPC SVR4 varargs
Richard> seems needlessly complex.

	That is an understatement!  PPC SVR4 varargs is a monstrosity that
attempted to pack the registers as tightly as possible and created an
endless mess as a result.

David

[[ This message was sent via the linuxppc-dev mailing list.  Replies are ]]
[[ not  forced  back  to the list, so be sure to Cc linuxppc-dev if your ]]
[[ reply is of general interest. Please check http://lists.linuxppc.org/ ]]
[[ and http://www.linuxppc.org/ for useful information before posting.   ]]